import { __DEV__ } from './consts';
export default function invariant(condition, message) {
  if (__DEV__) {
    if (condition) {
      return;
    }

    var text = "Warning: ".concat(message);

    if (typeof console !== 'undefined') {
      console.warn(text);
    }

    try {
      throw Error(text);
    } catch (x) {}
  }
}